# Generated by go2rpm
%bcond_without check
%bcond_with bootstrap

# https://github.com/nats-io/nats.go
%global goipath         github.com/nats-io/nats.go
Version:                1.10.0

%gometa

%global goaltipaths     github.com/nats-io/go-nats

%global common_description %{expand:
A Go client for the NATS messaging system.}

%global golicenses      LICENSE
%global godocs          examples GOVERNANCE.md MAINTAINERS.md TODO.md\\\
                        README.md

Name:           %{goname}
Release:        5%{?dist}
Summary:        Golang client for NATS, the cloud native messaging system

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/nats-io/jwt)
BuildRequires:  golang(github.com/nats-io/nkeys)
BuildRequires:  golang(github.com/nats-io/nuid)
BuildRequires:  golang(google.golang.org/protobuf/proto)

%if %{without bootstrap}
%if %{with check}
# Tests
BuildRequires:  golang(github.com/nats-io/nats-server/v2/server)
BuildRequires:  golang(github.com/nats-io/nats-server/v2/test)
BuildRequires:  golang(github.com/golang/protobuf/proto)
%endif
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
# Go 1.18 deprecated SHA1-RSA
export GODEBUG=x509sha1=1
%gocheck -d test
%endif
%endif

%gopkgfiles

%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 01 21:38:53 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.10.0-1
- Update to 1.10.0

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.1-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Feb 01 20:06:26 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.9.1-1
- Update to 1.9.1

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 14 00:43:10 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.7.2-1
- Initial package
